##
##  spambouncer.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         spambouncer
Summary:      Spam Mail Bouncer
URL:          http://www.spambouncer.org/
Vendor:       Catherine A. Hampton
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Mail
License:      GPL
Version:      1.5.20021122
Release:      20021127

#   list of sources
Source0:      http://www.spambouncer.org/sb.tar.Z
Source1:      spambouncer.rc

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206, procmail
AutoReq:      no
AutoReqProv:  no

%description
    The SpamBouncer is a set of procmail recipes, or instructions, which
    search the headers and text of your incoming email to see if it
    meets one or more conditions which indicate Spam mail.

%prep
    %setup -q -c spambouncer-%{version}

%build
    #   remove unused files
    rm -f *.bak
    rm -f legitlists
    rm -f freemail
    rm -f procmail.rc

    #   cleanup remaining file list
    mv spam sb-reply-spam.txt
    mv notify sb-reply-notify.txt
    %{l_shtool} subst -v \
        -e 's;/spam;/sb-reply-spam.txt;g' \
        -e 's;/notify;/sb-reply-notify.txt;g' *

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/spambouncer \
        $RPM_BUILD_ROOT%{l_prefix}/share/spambouncer
    %{l_shtool} install -c -m 644 \
        * $RPM_BUILD_ROOT%{l_prefix}/share/spambouncer/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE spambouncer.rc} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/spambouncer/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

